SDL_GetWindowMaximumSize(3)

NAME
SDL_GetWindowMaximumSize - Get the maximum size of a window's client area.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetWindowMaximumSize(SDL_Window *window, int *w, int *h);

FUNCTION PARAMETERS

window
    the window to query.

w   a pointer filled in with the maximum width of the window, may be NULL.

h   a pointer filled in with the maximum height of the window, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowMinimumSize(3), •(3), SDL_SetWindowMaximumSize(3)